libchipcard (5.1.3beta-1) experimental; urgency=medium

  * New upstream version 5.1.3beta.
  * debian/control:
    - Delete fields with duplicated value from source package.
    - The package is compliant to Debian policy 4.4.1 (no changes required).
  * Dropped maintainer scripts for libchipcard-tools. The purpose of these
    maintainer scripts should have been served for two stable
    releases, so I think we can dare to drop them.

 -- Micha Lenk <micha@debian.org>  Sun, 20 Oct 2019 21:29:19 +0200

libchipcard (5.1.0beta-3) unstable; urgency=medium

  * debian/control:
    - Switch Git repository to salsa.debian.org.
    - Update upstream homepage.
    - Add multiarch hints for binary packages libchipcard-data,
      libchipcard-libgwenhywfar60-plugins and libchipcard6.
    - libchipcard-dev: Replace priority extra by optional.
    - The package is compliant to Debian policy 4.2.1.
  * debian/gitlab-ci.yml added to integrate with Salsa CI.
  * debian/watch: Update to new upstream homepage.
  * Debian/compat: Switch to debhelper 11. This also made the build-dependency
    on dh-autoreconf obsolete.

 -- Micha Lenk <micha@debian.org>  Sat, 13 Oct 2018 22:30:30 +0200

libchipcard (5.1.0beta-2) unstable; urgency=medium

  * Package is compliant to Debian Policy 4.0.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sat, 24 Jun 2017 11:47:07 +0200

libchipcard (5.1.0beta-1) experimental; urgency=medium

  * New upstream version 5.1.0beta.
  * debian/control:
    - Package is compliant to Debian Policy 3.9.8 (no changes needed).
    - Replace build-dependency on libgwenhywfar60-dev by libgwenhywfar-core-dev
      (>= 4.17.0). The version was added to the dependency because the location
      of the gwenhywfar plugins changed to a multi-arch location.
  * Bump debhelper compatibility level from 7 to 9. This required the following
    changes to debian/rules:
    - no more need for explicitly calling dpkg-buildflags to provide hardening
      flags to ./configure. Hence dropping the override_dh_auto_configure.
    - Added override_dh_makeshilbs to exclude gwenhywfar/plugins from
      being processed by dh_makeshlibs and dpkg-gensymbols.
    changes to debian/*.install files:
    - cater for new multi-arch locations.
  * debian/libchipcard6.symbols: Added symbol LC_ZkaCard_Decipher.
  * debian/rules: Let dpkg-gensymbols fail if symbols file updates are needed.

 -- Micha Lenk <micha@debian.org>  Tue, 28 Mar 2017 14:51:47 +0200

libchipcard (5.0.4-1) unstable; urgency=medium

  * New upstream version 5.0.4.
  * debian/rules:
    - Don't configure the location of the pcsc-libs explicitly anymore, the
      upstream build system now finds them if pkg-config is installed.
    - Drop explicit setting of CC=gcc, the symbol visiblity check implemented
      in configure.ac should now work without it.
  * debian/control: Package management transitioned from Subversion to Git, so
    updating Vcs-* fields in debian/control.
  * Package is compliant to Debian Policy 3.9.6 (no changes needed).
  * Re-write manpages for chipcard-tool and kvkcard using asciidoc. This needs
    asciidoc, docbook-xml, docbook-xsl, libxml2-utils and xsltproc for builds.
  * Add minimalistic manpage for chipcard-config.

 -- Micha Lenk <micha@debian.org>  Tue, 16 Feb 2016 21:12:39 +0100

libchipcard (5.0.3beta-5) unstable; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el and update
    config.{sub,guess} for new arches (closes: #735218). Thanks to
    Logan Rosen <logan@ubuntu.com> for providing the patch.
  * Fix clean target in debian/rules. Thanks to Logan Rosen <logan@ubuntu.com>
    for providing the patch.
  * Package is compliant to Debian Policy 3.9.5 (no changes needed).
  * debian/control: Update Vcs-* URLs.

 -- Micha Lenk <micha@debian.org>  Sat, 19 Jul 2014 11:23:01 +0200

libchipcard (5.0.3beta-4) unstable; urgency=low

  * Package is compliant to Debian Policy 3.9.4 (no changes needed).
  * Drop transitional dummy package libchipcard-libgwenhywfar47-plugins
    after release of Debian 'wheezy'.
  * Use build flags as exported by dpkg-buildflags.

 -- Micha Lenk <micha@debian.org>  Sun, 26 May 2013 00:21:14 +0200

libchipcard (5.0.3beta-3) unstable; urgency=low

  * Add transitional dummy package libchipcard-libgwenhywfar47-plugins
    (closes: #705843), which existed in squeeze, but was renamed to
    libchipcard-libgwenhywfar60-plugins in wheezy. It should help users
    upgrading from squeeze to wheezy.

 -- Micha Lenk <micha@debian.org>  Sat, 20 Apr 2013 22:09:51 +0200

libchipcard (5.0.3beta-2) unstable; urgency=low

  * debian/control: Drop +ssh from Vcs-Svn: field to make
    debcheckout work for everybody (closes: #670274).
  * debian/libchipcard-tools.{preinst,postinst,postrm}: Finally remove the
    obsolete init script on upgrade (closes: #676778). Thanks to Paul Menzel
    for reporting the issue. The package now pre-depends on dpkg (>= 1.15.7.2)
    as it makes use of dpkg-maintscript-helper features introduced in that
    version.

 -- Micha Lenk <micha@debian.org>  Sun, 10 Jun 2012 15:53:38 +0200

libchipcard (5.0.3beta-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch file to catch beta releases too
  * Add new symbols to debian/libchipcard6.symbols
  * Explicitly configure location of PCSC libraries in Debian Multiarch
    directory (closes: #666590).
  * Tighten build-dep on debhelper: overrides need at least version 7.0.50.
  * Package is compliant to Debian Policy 3.9.3.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Fri, 13 Apr 2012 21:38:00 +0200

libchipcard (5.0.2-1) unstable; urgency=low

  * New upstream version
  * Package is compliant to Debian Policy 3.9.2.0 (no changes needed)
  * Dropped patch Fix_deprecated_SCARD_READERSTATE_A.patch (included upstream)

 -- Micha Lenk <micha@debian.org>  Mon, 13 Jun 2011 21:33:00 +0200

libchipcard (5.0.1test-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Add patch Fix_deprecated_SCARD_READERSTATE_A.patch (closes: #614460)

 -- Micha Lenk <micha@debian.org>  Sat, 26 Feb 2011 18:50:08 +0100

libchipcard (5.0.1test-1) unstable; urgency=low

  * New upstream release
  * Updated symbols file

 -- Micha Lenk <micha@debian.org>  Sun, 06 Feb 2011 18:47:29 +0100

libchipcard (5.0.0-1) experimental; urgency=low

  * New upstream release (closes: #595401)
  * Updated build-dep on libgwenhywfar due to changed soname
  * Renamed package libchipcard-libgwenhywfar59-plugins to
    libchipcard-libgwenhywfar60-plugins following changed soname of
    libgwenhywfar
  * Renamed package libchipcard5 to libchipcard6 matching changed soname
  * Updated debian/watch file to catch only stable releases
  * Cleaned up the debian/ directory a bit:
    - removed libchipcard-tools.README.Debian and libchipcard-tools.NEWS:
      they are irrelevant without the libchipcard daemon
    - removed generate_udev_list.sh and trigger_chipcardreader_scan.sh:
      they were used to trigger hardware scans, useless without the daemon
    - removed libchipcard-tools.dirs: unsure what it was needed for
    - updated clean target in debian/rules: no need to delete non-existent
      libchipcard-tools.udev file (previously generated during built)

 -- Micha Lenk <micha@debian.org>  Tue, 14 Sep 2010 19:03:41 +0200

libchipcard (4.99.9rc-2) experimental; urgency=low

  * Fastened build-dep on libgwenhywfar version as required by upstream.

 -- Micha Lenk <micha@debian.org>  Fri, 27 Aug 2010 08:39:23 +0200

libchipcard (4.99.9rc-1) experimental; urgency=low

  * New upstream release
  * Updated debian/watch file to catch release candidates too.

 -- Micha Lenk <micha@debian.org>  Fri, 27 Aug 2010 08:15:37 +0200

libchipcard (4.99.8beta-1) experimental; urgency=low

  * New upstream release
  * Modified debian/watch file to catch beta versions too.
  * Removed obsolete build-dep on libhal-dev. Thanks to Sascha Silbe for
    pointing it out in bug #587988.
  * Package libchipcard-tools: replaced Conflicts/Replaces dependency by
    Breaks/Replaces dependency for Debian Policy (3.9.0) compliance.
  * Package is compliant to Debian Policy 3.9.1.

 -- Micha Lenk <micha@debian.org>  Sun, 22 Aug 2010 18:58:44 +0200

libchipcard (4.99.4beta-1) experimental; urgency=low

  * New upstream release. LibChipcard 5.x has no daemon anymore and now uses the
    PC/SC daemon. Hence the package libchipcard-tools provides no init script
    anymore.
  * Renamed client library libchipcardc to libchipcard and bumped soname.
  * Package libchipcard-ctapi0 dropped (obsolete, provided by PC/SC daemon).
  * Simplified maintainer scripts: Only remove /var/run/libchipcard on upgrade.

 -- Micha Lenk <micha@debian.org>  Thu, 06 May 2010 23:24:14 +0200

libchipcard (4.2.9-2) unstable; urgency=low

  * Update udev rules now using ATTR{} instead of SYSFS{} attributes
    (closes: #563086).
  * Package is compliant to Debian Policy 3.8.4 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sat, 06 Mar 2010 12:41:58 +0100

libchipcard (4.2.9-1) unstable; urgency=low

  * New upstream release
    + fixes faulty use of D-BUS protocol (closes: #532893, LP: #429853)
    + doesn't show confusing "Closing GWEN" message anymore (LP: #429887).
  * libchipcard-dev: Fix weak library dependencies on libchipcardc2 and
    libchipcard-ctapi0 (thanks to lintian).
  * Fix typos in package descriptions (closes: 557498, 557499, 557500, 557501).
    Thanks to Pascal De Vuyst for pointing them out.
  * Improve NEWS entry for libchipcard-tools, clarifying that a
    disabled init script will need a manual check for correct boot order.

 -- Micha Lenk <micha@debian.org>  Mon, 28 Dec 2009 14:29:12 +0100

libchipcard (4.2.8-2) unstable; urgency=low

  * Clean up directory /var/run/chipcard/ on purge of libchipcard-tools.
  * Bump standards version. Package is compliant to standards version 3.8.3 now
    (no changes needed).
  * Improve bug script to include information about used resource manager and
    pcscd package/daemon status.
  * Add comments about usage with pcscd to README.Debian for packages
    libchipcard-tools and libchipcardc2 (closes: #362844).
  * Don't ship .la-files for plugin shared libraries any more.
  * Update maintainer's mail address and drop DM upload privileges.
  * Change init.d LSB header dependency on hal to a soft dependency
    (closes: #548581). Thanks to Petter Reinholdtsen for providing the patch.
  * Let init script provide libchipcard-tools in init.d LSB headers.
  * Add new symbols (stuff like *_GetLinkCount) to symbols file.

 -- Micha Lenk <micha@debian.org>  Mon, 28 Sep 2009 21:46:09 +0200

libchipcard (4.2.8-1) unstable; urgency=low

  * New upstream release
    + drop patch 20_gemexpress (included upstream)
    + drop patch 40_scanner_init_improved_error_handling (included upstream)
  * No patches left, so drop dpatch from build-depends and debian/rules.

 -- Micha Lenk <micha@lenk.info>  Mon, 11 May 2009 16:59:21 +0200

libchipcard (4.2.7-4) unstable; urgency=low

  * Fix formatting of libchipcard-tools.NEWS file (thanks to lintian).

 -- Micha Lenk <micha@lenk.info>  Sat, 18 Apr 2009 19:46:02 +0200

libchipcard (4.2.7-3) unstable; urgency=low

  * libchipcard-tools: Run init script in boot sequence AFTER hal has been
    started or BEFORE hal has been stopped and fix boot sequence in postinst
    script (untouched configurations only).

 -- Micha Lenk <micha@lenk.info>  Sat, 18 Apr 2009 19:03:55 +0200

libchipcard (4.2.7-2) unstable; urgency=low

  * debian/libchipcard-tools.init: Include file /etc/defaults/libchipcard-tools
    if it exists.
  * Add patch 40_scanner_init_improved_error_handling for propper handling of
    device scanners failing to initialize (closes: #524320).
  * debian/control:
    + minor improvement of the long package description for libchipcard-ctapi0
    + let libchipcard-tools recommend hal (needed by the daemon for automatic
      device detection).

 -- Micha Lenk <micha@lenk.info>  Thu, 16 Apr 2009 14:42:44 +0200

libchipcard (4.2.7-1) unstable; urgency=low

  * New upstream release
    + fixes memory leaks in HAL scanner code (closes: #522885).
    + drops shared library libchipcardd.so.
  * debian/control:
    + drop binary package libchipcardd0
    + split dependencies into multiple lines.
    + add Conflicts/Replaces for removal of now obsolete package libchipcardd0
      on upgrade to current package libchipcard-tools.
  * debian/rules: Drop snippets for package libchipcardd0.
  * drop files debian/libchipcardd0.README.Debian (completely out of date)
    and debian/libchipcardd0.* (now obsolete).
  * now install README.Debian in package libchipcard-tools, the home of the
    daemon binary chipcardd4, the README talks about.

 -- Micha Lenk <micha@lenk.info>  Wed, 08 Apr 2009 00:06:05 +0200

libchipcard (4.2.5-1) unstable; urgency=low

  * New upstream release
    + drop patch 10_halscanner_bugfix (included upstream)
    + modify patch 20_gemexpress to not patch ccid_ifd.xml any more
      (this hunk is included upstream)

 -- Micha Lenk <micha@lenk.info>  Wed, 01 Apr 2009 11:13:30 +0200

libchipcard (4.2.4-3) unstable; urgency=low

  * libchipcard-tools: Suggest installation of packages libtowitoko2 and
    libccid (closes: #520418).
  * Add man pages for chipcard-tool and kvkcard written by Karsten Hilbert
    (closes: #508084). Thanks a lot, Karsten, for your contributions.
  * Add patch 20_gemexpress for improved libccid driver handling
    (closes: #520283). This makes GemPC Express readers work.
    Thanks to Joachim Breitner for contributing the patch.

 -- Micha Lenk <micha@lenk.info>  Wed, 25 Mar 2009 14:28:55 +0100

libchipcard (4.2.4-2) unstable; urgency=low

  * Upload to Debian unstable (closes: #496939).
  * Fire udev rules on SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device" events
    instead on SUBSYSTEM=="usb_device" events, which does not work on some
    systems (closes: #509251).
  * chown directory /var/run/chipcard to user chipcard in initscript only
    and not in libchipcard-tools.postinst script any more as suggested by
    James Westby in Ubuntu's Launchpad (LP: #283925).
  * debian/libchipcard-tools.dirs: don't list /var/run/chipcard, which is
    created by the init script now (thanks to lintian for the hint).
  * debian/control:
    + package is compliant with standards version 3.8.1 now
    + fix lintian warnings about missing ${misc:Depends}.
    + add build-dependency on dpatch
  * Add patch 10_halscanner_bugfix enabling the HAL scanner to recognize
    PCMCIA chipcard readers.
  * Adopt some changes from 4.1.3-2ubuntu1 (thanks to Scott James Remnant):
    + debian/rules: Generate udev rules to a file debhelper can pick up.
    + debian/libchipcard-tools.dirs: No need to create udev directories
    + debian/libchipcard-tools.preinst: Remove the symlink on upgrade,
      remove old rules files unless changed in which case rename it
    + debian/libchipcard-tools.postinst: Don't create symlink anymore.
      This is done by dh_installudev-generated code now (if necessary)
    + debian/libchipcard-tools.postrm: No need to remove symlink.
    Ubuntu's "Breaks: udev (<< 136-1)" is not needed because on Debian
    systems udev rules files still live in /etc/udev/.
  * debian/libchipcard-tools.postinst: Remove general comments
    (originally generated by dh_make?)
  * debian/rules:
    + remove generated file debian/libchipcard-tools.udev in clean target
    + make additional deletions in clean target verbose.
  * Add symbols files for new dpkg-shlibdeps feature.
  * debian/copyright:
    + point to versioned license files in /usr/share/common-licenses/
      (thanks to lintian for the hint). The packaging is now licensed
      under GPL version 2.
    + add missing copyrighted years up to 2009

 -- Micha Lenk <micha@lenk.info>  Tue, 17 Mar 2009 22:17:06 +0100

libchipcard (4.2.4-1) experimental; urgency=low

  * New upstream release
  * bump debian/watch file for new download location

 -- Micha Lenk <micha@lenk.info>  Wed, 04 Feb 2009 15:02:28 +0100

libchipcard (4.2.3-1) experimental; urgency=low

  * New upstream release

 -- Micha Lenk <micha@lenk.info>  Sat, 08 Nov 2008 21:34:54 +0100

libchipcard (4.2.2-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + bump Gwenhywfar version in build-deps as required in release notes
    + build-dep on libhal-dev instead of libsysfs-dev
  * stop scanning for new chipcard readers every 2 seconds (closes: #470629).
    This is done by
    - setting hardwareScanInterval="0" in /etc/chipcard/server/chipcardd.conf,
    - adding a script /usr/lib/chipcard/trigger_chipcardreader_scan.sh sending
      the needed signal to the chipcard daemon,
    - update the udev rules to call the new script on hardware changes.
  * Let the udev script not skip USB devices on non-"add" actions in order to
    get notified about reader removals.

 -- Micha Lenk <micha@lenk.info>  Sun, 19 Oct 2008 16:31:32 +0200

libchipcard (4.2.1-1) experimental; urgency=low

  * New upstream release
  * Get rid of CDBS by adapt debian/rules to debhelper 7.
  * Drop Lintian overrides: Debhelper has been fixed, so we don't need them
    any more.
  * Drop empty directory /usr/lib/chipcard/server/lowlevel/.

 -- Micha Lenk <micha@lenk.info>  Fri, 17 Oct 2008 19:20:42 +0200

libchipcard (4.2.0-2) experimental; urgency=low

  * Add zlib1g-dev to build dependencies (closes: #497043) and fix my local
    build environment.

 -- Micha Lenk <micha@lenk.info>  Fri, 29 Aug 2008 16:57:15 +0200

libchipcard (4.2.0-1) experimental; urgency=low

  * New upstream release (closes: #496939)
  * Upload to experimental because of freeze for Lenny.

 -- Micha Lenk <micha@lenk.info>  Thu, 28 Aug 2008 20:54:35 +0200

libchipcard (4.1.3-2) unstable; urgency=low

  * libchipcard-tools: Remove stale IPC socket file in postrm script on purge
    (closes: #495452).

 -- Micha Lenk <micha@lenk.info>  Sun, 17 Aug 2008 22:38:29 +0200

libchipcard (4.1.3-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@lenk.info>  Wed, 09 Jul 2008 17:59:44 +0200

libchipcard (4.1.2-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@lenk.info>  Sat, 05 Jul 2008 12:21:08 +0200

libchipcard (4.1.1-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@lenk.info>  Wed, 18 Jun 2008 18:31:41 +0200

libchipcard (4.1.0-2) unstable; urgency=low

  * Add udev rule for the new driver of O2Micro Smart Card readers
    (closes: #486166).
  * Bump standards version (no changes needed).
  * Add bug scripts providing the output of command "chipcard-tool list" in
    bug reports if chipcard-tool is installed.
  * Remove Georg Leonhard from uploaders. Further contributions are still
    welcome, but co-responsibility for a package needs more action.

 -- Micha Lenk <micha@lenk.info>  Tue, 17 Jun 2008 15:51:28 +0200

libchipcard (4.1.0-1) unstable; urgency=low

  * New upstream release
    - drop all patches (included upstream) and dpatch.
  * Make package libchipcard-dev arch:any until wanna-build is able to handle
    arch:all -dev packages properly.

 -- Micha Lenk <micha@lenk.info>  Thu, 29 May 2008 15:07:45 +0200

libchipcard (4.0.0-5) unstable; urgency=low

  * Replace dpkg-statoverride by chown call (closes: #459355).
    This requires debian/libchipcard-tools.postinst script to handle some
    situations sensively:
    - the old statoverrides are removed on upgrades from previous versions
    - the ownership of the affected directories will only be changed if no
      corresponding statoverride exists.
  * Enable dpatch and add following patches:
    - help-on-stdout_fix_346556: Lets libchipcard-tools output its help on
      stdout, not stderr (closes: #346556)
    - cardcommander-exitcode-fix_355114: Lets cardcommander return with zero
      exitcode upon normal quit (closes: #355114)
    - cardcommander-segfault-fix_364804: Fixes a segfault on empty input from
      STDIN (closes: #364804).
  * change section of package libchipcard-dev from devel to libdevel as
    suggested by lintian.

 -- Micha Lenk <micha@lenk.info>  Mon, 11 Feb 2008 09:35:27 +0100

libchipcard (4.0.0-4) unstable; urgency=low

  * Bump standards version from 3.7.2 to 3.7.3 (no changes needed).
  * Add Vcs-{Svn,Browser} fields.
  * Adapt debian/watch file to new download location (closes: #456484).
  * Add upsteam homepage field.

 -- Micha Lenk <micha@lenk.info>  Wed,  2 Jan 2008 18:52:53 +0100

libchipcard (4.0.0-3) unstable; urgency=medium

  * Let the client and server libraries recommend the daemon package
    libchipcard-tools. Most users installing these libraries want the daemon
    package too.
  * Let all library packages depend on libchipcard3-data. Otherwise missing
    data files can cause segfaults. Thus increased urgency medium.

 -- Micha Lenk <micha@lenk.info>  Thu, 29 Nov 2007 20:55:34 +0100

libchipcard (4.0.0-2) unstable; urgency=low

  * Release package to Debian unstable.
  * Remove invalid option --store-all-certs from DAEMON_ARGS in init script.
  * Install configuration files to correct location /etc/chipcard/server and
    /etc/chipcard/client.

 -- Micha Lenk <micha@lenk.info>  Mon, 26 Nov 2007 19:25:34 +0100

libchipcard (4.0.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: Allow uploads by Debian Maintainers of this package
  * build depend on libgwenhywfar >= 3.0.0-2~, which is the first version
    shipping without troublesome libgwenhywfar.la (really fixes #451582)

 -- Micha Lenk <micha@lenk.info>  Sat, 24 Nov 2007 14:43:08 +0100

libchipcard (3.9.6~beta-1) experimental; urgency=low

  * New upstream release
  * Tighten build-depends on libgwenhywfar as required by configure
  * Update debian/copyright to reflect upstream's switch from GPL to LGPL
    (and add some minor important packaging history)

 -- Micha Lenk <micha@lenk.info>  Sun,  4 Nov 2007 20:21:22 +0100

libchipcard (3.9.4~beta-1) experimental; urgency=low

  * New upstream release. This is a complete rewrite of libchipcard, cleaning
    up the code base and making it fit for future use with SECCOS chipcards.
  * Rename source package. It's not required any more to be installable in
    parallel with future versions.
  * Rename binary packages according to renamed library names and bumped
    soname.

 -- Micha Lenk <micha@lenk.info>  Wed, 31 Oct 2007 22:54:09 +0100

libchipcard3 (3.0.3-1) unstable; urgency=low

  [ Georg W. Leonhardt ]
  * New upstream release
  * debian/rules: Add DEB_DH_INSTALL_SOURCEDIR=$(CURDIR)/debian/tmp and
    clean up the *.install files accordingly.
  * Adding myself to uploaders
  * debian/compat: bump debhelper compat to 5, changed behaviour
    doesn't affect the package.

  [ Micha Lenk ]
  * Remove conflicts and replace depends to libchipcard3c1 and
    libchipcard3-1c102: As ftp-master pointed out these packages have never
    been in the archive, hence these depends are unneccessary.

 -- Micha Lenk <micha@lenk.info>  Fri, 10 Aug 2007 01:27:30 +0200

libchipcard3 (3.0.2-5) unstable; urgency=low

  * first upload of libchipcard3 to Debian unstable (closes: #433647)
  * Add udev rule for O2Micro SmartCardBus Reader device
  * debian/control:
    - Introduce a package for every single shared library. This is needed
      because the sonames apparently don't change consistently. This makes a
      lintian override file unnecessary as all libraries now match their
      package names.
    - switch from deprecated substvar ${Source-Version} to ${source:Version}
  * debian/rules: add clean target hook deleting symlinks generated during builds.

 -- Micha Lenk <micha@lenk.info>  Thu, 19 Jul 2007 17:32:13 +0200

libchipcard3 (3.0.2-4) experimental; urgency=low

  * Fix udev script.

 -- Micha Lenk <micha@lenk.info>  Tue, 27 Mar 2007 17:02:09 +0200

libchipcard3 (3.0.2-3) experimental; urgency=low

  * Use my own configuration files as default config files based on upstream's
    examples. This differs in changing default socket path to
    /var/run/chipcard3/chipcard3.comm as needed against file ownership issues.

 -- Micha Lenk <micha@lenk.info>  Tue, 27 Mar 2007 05:59:34 +0200

libchipcard3 (3.0.2-2) experimental; urgency=low

  * package libchipcard3-1:
    - drop bogus conflicts/replaces to itself
    - bump soname of libchipcard3c in libchipcard3-1.shlibs
  * debian/libchipcard3-tools.dirs:
    - update to libchipcard3's directory layout
  * debian/rules:
    - cleanup file removals in clean target (artefacts of libchipcard2)
  * install upstream config file examples as default
  * disable some lintian warnings which have previously been disabled in
    libchipcard2 too.

 -- Micha Lenk <micha@lenk.info>  Tue, 13 Mar 2007 22:21:04 +0100

libchipcard3 (3.0.2-1) experimental; urgency=low

  * New upstream release
    The new upstream release should be installable parallel to libchipcard2.
    Thus renamed source package and all binary packages accordingly.

 -- Micha Lenk <micha@lenk.info>  Tue, 13 Mar 2007 19:44:19 +0100

libchipcard2 (2.1.9-2) unstable; urgency=high

  * Rewrite udev rules generator to prevent wrong record showing up.
    In particular this fixes granting permissions to too many devices.
    (Thus urgency high)
    - remove MODE statements during the rewrite at Marco d'Itri's
      suggestion. (Thanks)

 -- Thomas Viehmann <tv@beamnet.de>  Wed, 18 Oct 2006 00:01:23 +0200

libchipcard2 (2.1.9-1) unstable; urgency=low

  * New upstream release
    - PCMCIA scanning is enabled. Closes: #366445, #380062
  * Include udev rules for rawUSB readers. Closes: #380248
    Thanks to Seiden Tiger for an ad-hoc script preparing the list.
  * Document permission problems. in particular with CyberJack and
    after purging of chipcard-tools from sarge r0 and r1.
    Closes: #373595, #346527.
  * Make dependency of -dev package binNMU-safe.

 -- Thomas Viehmann <tv@beamnet.de>  Fri, 29 Sep 2006 22:10:04 +0200

libchipcard2 (2.1.7-2) unstable; urgency=low

  * Bump build-depends
  * Add watch file
  * New standards version, no changes necessary.

 -- Thomas Viehmann <tv@beamnet.de>  Wed, 26 Jul 2006 16:09:09 +0200

libchipcard2 (2.1.7-1) unstable; urgency=low

  * New upstream release
    - fixes error in PIN input. Closes: #378639
  * Bump shlibs.

 -- Micha Lenk <micha@lenk.info>  Wed, 19 Jul 2006 03:26:13 +0200

libchipcard2 (2.1.6-1) unstable; urgency=low

  [ Thomas Viehmann ]
  * debian/rules: move DEB_CONFIGURE_EXTRA_FLAGS to where they work.

  [ Micha Lenk ]
  * New upstream release
    - supports Debian's libccid. Closes: #355281
    - fixes bug in CTAPI interface. Closes: #366458
  * Bump shlibs.

 -- Micha Lenk <micha@lenk.info>  Fri, 30 Jun 2006 14:00:32 +0200

libchipcard2 (2.1.4-1) unstable; urgency=low

  * New upstream release
    - fixes libsysfs2-support
    - chipcardd2 will run properly without a config section ServiceManager
      (though it will notice in the logs). Closes: #341105
    - chipcardd2 addreader --dtype list works again. Closes: #344632
  * Bump shlibs

 -- Thomas Viehmann <tv@beamnet.de>  Fri,  5 May 2006 09:47:19 +0200

libchipcard2 (2.1.3-1) unstable; urgency=low

  * New upstream release
    - changes for libsysfs2 have been adopted by upstream
  * Tweaked build-dep on libgwenhywfar as required by configure
  * Bump shlibs

 -- Micha Lenk <micha@lenk.info>  Tue, 28 Mar 2006 19:51:27 +0200

libchipcard2 (1.9.19.99+1.9.20beta-3) unstable; urgency=low

  * Don't install config examples in /etc. Closes: #346558
  * Fix URL in copyright file. Closes: #354402
    Thanks to Joerg Sommer the bug reports.
  * Move to libsysfs2. Closes: #347632
  * Added closes for new upstream version in -1 (isn't uploaded yet).
  * Update FSF address.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 26 Feb 2006 13:43:49 +0100

libchipcard2 (1.9.19.99+1.9.20beta-2) unstable; urgency=low

  * Rename package libchipcard2-libgwenhywfar17-plugins to
    libchipcard2-libgwenhywfar38-plugins due to changed soname of
    libgwenhywfar.
  * Adding myself as Co-Maintainer.

 -- Micha Lenk <micha@lenk.info>  Sat, 25 Feb 2006 21:22:34 +0100

libchipcard2 (1.9.19.99+1.9.20beta-1) unstable; urgency=low

  * New upstream release. Closes: #350564
  * Recreate /var/run/chipcard2 in init script if necessary
    (for tmpfs-mounted /var/run)
  * Do not delete user on purge

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 30 Jan 2006 13:33:35 +0100

libchipcard2 (1.9.15.99+1.9.16alpha-1) unstable; urgency=low

  * New upstream release
  * Add LSB init script comments
  * Adjust Priorities in debian/control to reflect the more
    widespread use

 -- Thomas Viehmann <tv@beamnet.de>  Wed,  2 Nov 2005 17:30:35 +0100

libchipcard2 (1.9.14.99+1.9.15beta-1) unstable; urgency=low

  * New upstream release

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 29 Aug 2005 22:04:13 +0200

libchipcard2 (1.9.13.99+1.9.14beta-1) unstable; urgency=low

  * New upstream release
  * Added shlibs file

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 23 Aug 2005 23:24:15 +0200

libchipcard2 (1.9.12.99+1.9.13beta-1) unstable; urgency=low

  * New upstream release
  * Added package for the plugins to libgwenhywfar
  * Policy compliance is at 3.6.2 (no changes)
  * Added lintian-overrides for irrelevant warnings

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 20 Aug 2005 22:19:59 +0200

libchipcard2 (1.9.11.99+1.9.12beta-6) unstable; urgency=low

  * Add Conflicts/Replaces.

 -- Thomas Viehmann <tv@beamnet.de>  Thu,  4 Aug 2005 15:18:37 +0200

libchipcard2 (1.9.11.99+1.9.12beta-5) unstable; urgency=low

  * C++-Transition.

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 26 Jul 2005 14:14:15 +0200

libchipcard2 (1.9.11.99+1.9.12beta-4) unstable; urgency=low

  * Bump arm build-dependency for libusb to fix arm problem.
    Thanks to Aurelien Jarno for the detailed instructions in the
    bug report. Although this is a grave bug, urgency is low because
    sarge is not concerned, libchipcard2 isn't in sarge.
    Closes: #308614

 -- Thomas Viehmann <tv@beamnet.de>  Thu, 12 May 2005 12:05:09 +0200

libchipcard2 (1.9.11.99+1.9.12beta-3) unstable; urgency=low

  * Fix short description for libchipcard2-0. Thanks to Marcin Orlowski
    for pointing out the error. Closes: #303858.
  * Add note about automatic USB reader detection and Linux 2.4 to
    README.Debian.
  * Change priority to extra.

 -- Thomas Viehmann <tv@beamnet.de>  Wed, 20 Apr 2005 18:31:43 +0200

libchipcard2 (1.9.11.99+1.9.12beta-2) unstable; urgency=low

  * Added README.Debian about relation to libchipcard.

 -- Thomas Viehmann <tv@beamnet.de>  Wed,  6 Apr 2005 19:51:39 +0200

libchipcard2 (1.9.11.99+1.9.12beta-1) unstable; urgency=low

  * New upstream release

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 29 Mar 2005 09:47:42 +0200

libchipcard2 (1.9.10.99+1.9.11beta-1) unstable; urgency=low

  * New upstream release
  * Added license exception to debian/copyright. Thanks Martin!
  * Add versioned libgwenhywfar build-dependency.

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 19 Mar 2005 14:05:25 +0100

libchipcard2 (1.9.8.99+1.9.9beta-1) unstable; urgency=low

  * New upstream release
  * Merged chipcard2-server into libchipcard2-tools.

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 31 Jan 2005 18:09:28 +0100

libchipcard2 (1.9.6.99+1.9.7beta+cvs.20050125.4-1) unstable; urgency=low

  * New upstream release

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 29 Jan 2005 23:37:04 +0100

libchipcard2 (1.9.6.99+1.9.7beta+cvs.20050125.3-1) unstable; urgency=low

  * New upstream release

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 29 Jan 2005 22:42:39 +0100

libchipcard2 (1.9.6.99+1.9.7beta+cvs.20050125.2-2) unstable; urgency=low

  * Did stuff

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 29 Jan 2005 21:32:17 +0100

libchipcard2 (1.9.6.99+1.9.7beta+cvs.20050125.2-1) unstable; urgency=low

  * New upstream release

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 29 Jan 2005 21:14:39 +0100

libchipcard2 (1.9.6.99+1.9.7beta+cvs.20050125-1) unstable; urgency=low

  * CVS Sync.

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 25 Jan 2005 16:07:08 +0100

libchipcard2 (1.9.6.99.1.9.7beta+cvs.20050120-1) unstable; urgency=low

  * New upstream release

 -- Thomas Viehmann <tv@beamnet.de>  Thu, 20 Jan 2005 15:07:05 +0100

libchipcard2 (1.9.6.99.1.9.7beta+cvs.20050112-1) unstable; urgency=low

  * Repackaged after merge.

 -- Thomas Viehmann <tv@beamnet.de>  Thu, 13 Jan 2005 18:17:17 +0100
